package com.dsk.web.controller.search.controller;

import com.alibaba.fastjson2.JSONObject;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.dtos.ComposeQueryDto;
import com.dsk.web.controller.search.service.BusinessOpportunityRadarService;
import com.dsk.web.controller.search.service.MarketAnalysisService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 商机雷达 查询接口
 * @author Administrator
 *
 */
@RequestMapping("/radar")
@RestController
public class BusinessOpportunityRadarController {


    @Resource
    BusinessOpportunityRadarService opportunityRadarService;

    /*
     * 公招标讯
     */
    @RequestMapping("/jskBidPage")
    public AjaxResult jskBidPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.jskBidPage(compose);
    }

    /*
     * 土地交易
     */
    @RequestMapping("/landMarketPage")
    public AjaxResult landMarketPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.landMarketPage(compose);
    }

    /*
     * 拟建项目
     */
    @RequestMapping("/establishmentPage")
    public AjaxResult establishmentPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.establishmentPage(compose);
    }

    /*
     * 开标记录
     */
    @RequestMapping("/jskBidTenderPage")
    public AjaxResult jskBidTenderPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.jskBidTenderPage(compose);
    }


    /*
     * 标讯pro
     */
    @RequestMapping("/jskBidNewsPage")
    public AjaxResult jskBidNewsPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.jskBidNewsPage(compose);
    }


    /*
     * 专项债查询
     */
    @RequestMapping("/bondProjectPage")
    public AjaxResult bondProjectPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.bondProjectPage(compose);
    }

    /*
     * 投标计划查询
     */
    @RequestMapping("/jskBidPlanPage")
    public AjaxResult jskBidPlanPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.jskBidPlanPage(compose);
    }

    /*
     * 投标计划查询
     */
    @RequestMapping("/jskBidPlan/getCapitalSourceSelect")
    public AjaxResult getCapitalSourceSelect() {
        return opportunityRadarService.getCapitalSourceSelect();
    }

    /*
     * 推荐关键词
     */
    @RequestMapping("/keywordList")
    public AjaxResult keywordList() {
        return opportunityRadarService.keywordList();
    }

    /*
     * 招标来源网站
     */
    @RequestMapping("/bidSourceList")
    public AjaxResult bidSourceList(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.bidSourceList(compose);
    }
}
